nostream/scripts/start_local
Ricardo Arturo Cabral Mejía fd3294929a
fix: confirm invoice function ambiguous unit variable (#221)
* fix: dont crash when SECRET is not set

* docs: add semisol to contributors

* docs: improve readme

* docs: add payment info to readme

* docs: add zebedee_api_key to configuration.md

* fix: confirm_invoice unit var

* chore: remove unused code

* chore: improve error logging for payments

* chore: use  instead of changeme

* chore: fix typo

* chore: improve get invoice status ctrl

* fix: csp bug

* chore: remove rate limits

* chore: improve invoice page logging

* chore: prevent root with start_local

* chore: revert to redis 4.5.1
2023-02-20 09:15:45 -08:00

28 lines
876 B
Bash
Executable File

#!/bin/bash
set -e
PROJECT_ROOT="$(dirname $(readlink -f "${BASH_SOURCE[0]}"))/.."
DOCKER_COMPOSE_FILE="${PROJECT_ROOT}/docker-compose.yml"
DOCKER_COMPOSE_LOCAL_FILE="${PROJECT_ROOT}/docker-compose.local.yml"
if [ "$EUID" -eq 0 ]
then echo "Error: Nostream should not be run as root."
exit 1
fi
if ! type "mkcert" &> /dev/null; then
echo "Could not find mkcert, which is required for generating locally-trusted TLS certificates. Follow the installation instructions at https://github.com/FiloSottile/mkcert, then run this script again."
exit 1
fi
mkcert -install
mkcert \
-cert-file ${PROJECT_ROOT}/.nostr.local/certs/nostream.localtest.me.pem \
-key-file ${PROJECT_ROOT}/.nostr.local/certs/nostream.localtest.me-key.pem \
nostream.localtest.me
docker compose \
-f $DOCKER_COMPOSE_FILE \
-f $DOCKER_COMPOSE_LOCAL_FILE \
up --build --remove-orphans $@